Bug 1255367 - proguard missing pom.xml for components and mvn() Provides for them
proguard missing pom.xml for components and mvn() Provides for them
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: proguard (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: François Kooman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 07:41 EDT by Neal Gompa
Modified: 2016-07-19 13:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:35:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Gompa 2015-08-20 07:41:04 EDT
Description of problem:
proguard is missing the pom.xml files for each of the components that make up the proguard package. mvnrepository.com shows that pom.xml files exist for each of the components that make up proguard and its various subpackages[0]. This means that when using any Java build system that relies on these files to indicate their existence, software cannot be built against proguard.

Likewise, using the mvn() virtual Provides as a dependency doesn't work either.

[0]: http://mvnrepository.com/artifact/net.sf.proguard

Version-Release number of selected component (if applicable):
5.2.1-2.fc22

How reproducible:
Always
Comment 1 François Kooman 2016-02-26 04:56:39 EST
It's been a while since I developed with Java and I kinda dropped out of the Java world around the time Maven started appearing so after Ant I don't know much about it.

I guess I should follow the guidelines here: https://fedorahosted.org/released/javapackages/doc/#maven to get the proguard package up to date... but as I don't use it myself anymore I will probably orphan the package soon...
Comment 2 Fedora End Of Life 2016-07-19 13:35:41 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.